package stirling.software.spdf.model.api;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;

import stirling.software.common.model.api.PDFFile;

@Data
@EqualsAndHashCode(callSuper = true)
public class PDFWithImageFormatRequest extends PDFFile {

    @Schema(
            description = "The output image format e.g., 'png', 'jpeg', or 'gif'",
            allowableValues = {"png", "jpeg", "gif"},
            requiredMode = Schema.RequiredMode.REQUIRED,
            defaultValue = "png")
    private String format;
}
